﻿
using System;
using NUnit.Framework;
using RenewalProjects.Libraries.Common.Testing.Interfaces;
using Rhino.Mocks;

namespace RenewalProjects.Libraries.Common.Testing.Tests.Fixtures
{
    [TestFixture]
    public class UsesRhinoMocksActionAttributeFixture : IUsesRhinoMocks
    {
        public MockRepository Mock { get; set; }
        
        [Test]
        public void Check_that_mock_repository_is_provided()
        {
            Assert.IsNotNull(Mock);
        }
    }
}
