﻿
using System;

namespace WcfLibTest.Tests.Helpers
{
	public class TestResult
	{
		public TestResult(string name, TimeSpan elapsed, bool success, Exception exception)
		{
			Name = name;
			Elapsed = elapsed;
			Success = success;
			Exception = exception;
		}

		public string Name { get; private set; }
		public TimeSpan Elapsed { get; private set; }
		public bool Success { get; private set; }
		public Exception Exception { get; private set; }
	}
}
